Skip to content

Update Share Config ​

Update an existing share configuration. Requires ADMIN, MANAGE_OBJECTS, MANAGE_FORM, or MANAGE_TASK permissions.

Parameters ​

name * are required parametersdata typedescription
shareId*stringThe unique identifier of the share config to update
body.namestringUpdated display name for the share configuration
body.expiresAtstringUpdated expiration date (ISO 8601)
body.allowAnonymousbooleanUpdated anonymous access setting

Return Value ​

The updated share configuration.

Examples ​

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/share-config/:shareId" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..." \
  -d '{"name": "Updated Share Name", "allowAnonymous": false}'

ENDPOINTS

put/api/{targetPath}/share-config/:shareId